import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { FirstComponent } from './first/first.component';
import { SecondComponent } from './second/second.component';
import { VisitingcardComponent } from './visitingcard/visitingcard.component';
import { user } from './user';
import { EmpDetailsComponent } from './emp-details/emp-details.component';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet,FirstComponent,SecondComponent,VisitingcardComponent,EmpDetailsComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  title = 'Vijay';
  uname:string="Anand";

  userInput:user=new user;

  constructor(){
    this.userInput.name="Bhavani",
    this.userInput.title="Tech Lead",
    this.userInput.salary="250000",
    this.userInput.department="2",
    this.userInput.address=['JublieeHills','Hyderabad','Telangana'];
    this.userInput.phone=['999-999-9999','888-888-8888']
  }


}
